Page 1 of 2 12 LastLast
Results 1 to 10 of 16

Thread: KDE 4.1.1 Is in the repo's

  1. #1
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,729
    Blog Entries
    20

    Exclamation KDE 4.1.1 Is in the repo's

    I just ran updates to 4.1 and all is fine for me, and those unresolved dependency issues sorted themselves out too.
    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

  2. #2

    Default Re: KDE 4.1.1 Is in the repo's

    how does one most safely go about getting it from a clean 11.0 KDE4 install?

  3. #3
    jromix NNTP User

    Default Re: KDE 4.1.1 Is in the repo's

    I updated every KDE related package to version 4.1.1 but I'm getting problems with compositing effects (native kwin effects). They all stoped working!!!

    Desktop runs smoothly but no matter how many times I enable/disable desktop effects and 3D acceleration KDE seems to ignore my settings and gives me no "wobbly windows" or "desktop zoom" whatsoever.

    Has anybody else got this problem?? Help please!!

    Quote Originally Posted by Dimble_ThriceFoon View Post
    how does one most safely go about getting it from a clean 11.0 KDE4 install?
    This one click install worked for me when I first updated from 4.0.4 to 4.1.0. However, you might run into problems with dependencies. This is because there are packages which don't get updated, and still need the old 4.0.4 libraries, whereas the v4.1.x ones need the newest, and both versions can't be installed at once.

    I was abble to solve this by removing the old apps and, once everything was updated, getting them back. VERY IMPORTANT: I did this without ever leaving YaST2, using its dependency solving utility. It might be boring going through all the options but it is worth the while.

  4. #4
    jazka NNTP User

    Default Re: KDE 4.1.1 Is in the repo's

    Hi,

    I'm having problems with desktop effects too, after updating to 4.1.1.

    Kwin says this:

    kwin: X Error (error: BadAlloc [11], request: X_GLXCreatePixmap[GLX+22], resource: 0x1801d84)
    kwin: X Error (error: GLXBadDrawable[GLX+2], request: X_GLXGetDrawableAttributes[GLX+29], resource: 0x1801d84)
    kwin: X Error (error: BadDrawable [9], request <unknown> [145:4], resource: 0x1801d84)
    kwin(18434): Compositing self-check failed, disabling compositing.

  5. #5
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,729
    Blog Entries
    20

    Default Re: KDE 4.1.1 Is in the repo's

    Agreed, it's not working. Sure to be a fix though. I hadn't noticed as I don't use it really.
    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

  6. #6

    Default Re: KDE 4.1.1 Is in the repo's

    Quote Originally Posted by jromix View Post
    I updated every KDE related package to version 4.1.1 but I'm getting problems with compositing effects (native kwin effects). They all stoped working!!!

    Desktop runs smoothly but no matter how many times I enable/disable desktop effects and 3D acceleration KDE seems to ignore my settings and gives me no "wobbly windows" or "desktop zoom" whatsoever.

    Has anybody else got this problem?? Help please!!



    This one click install worked for me when I first updated from 4.0.4 to 4.1.0. However, you might run into problems with dependencies. This is because there are packages which don't get updated, and still need the old 4.0.4 libraries, whereas the v4.1.x ones need the newest, and both versions can't be installed at once.

    I was abble to solve this by removing the old apps and, once everything was updated, getting them back. VERY IMPORTANT: I did this without ever leaving YaST2, using its dependency solving utility. It might be boring going through all the options but it is worth the while.
    cheers, all working.

    people on dot.kde are having problems with compositing effecrts too.

  7. #7

    Default Re: KDE 4.1.1 Is in the repo's

    Quote Originally Posted by jromix View Post
    I updated every KDE related package to version 4.1.1 but I'm getting problems with compositing effects (native kwin effects). They all stoped working!!!
    Same here, but only when using OpenGL. Xrender works, but that's too slow to be useful. If, for some reason, kwin decides that composite isn't available shouldn't the settings program reflect that (i.e. greyed out)?

    Not sure if it's driver related, but I'm using nvidia and their latest beta. Everything else that depends on OpenGL works as it should though.

  8. #8

    Default Re: KDE 4.1.1 Is in the repo's

    same here - desktop effects are broken with 4.1.1 (using stable NVidia driver). XRender works but
    a) very slow
    b) wrong in many aspects of the rendering effect.

    Worse is the problem that when you tried to activate the desktop effects, something happens with the OpenGL acceleration.
    The framerates for OpenGL applications drops dramatically. The X2 Benchmark shows a decrease from 26-27fps to 12-13fps (I benchmark nearly every day to track changes in KDE and NVidia software)
    Deactivating the desktop effects (which actually never appeared) doesn't help as long as the computer stays in runlevel 5. Only rebooting (or maybe go into runlevel 3 and switch back to 5) helps to regain the OpenGL acceleration.

  9. #9
    SparXXXie NNTP User

    Question Re: KDE 4.1.1 Is in the repo's

    I'm having the same issues with effects not working in kde 4.1.1. I was using the latest nvidia stable drivers, so I switched to the beta drivers. No change, although video performance appears to have increased.

  10. #10
    jerrymf NNTP User

    Default Re: KDE 4.1.1 Is in the repo's

    Yeah, I have the same problem on my OpenSuse 11 (Geforce 7600GS). No desktop effects, only XRender works but very slowly. I hope there will be solution as soon as possible. Anyway it happens only in OpenSuse or even in others distro?

Page 1 of 2 12 LastLast

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •